# -*- coding: utf-8 -*-
"""regModel.ipynb

Automatically generated by Colaboratory.

Original file is located at
    https://colab.research.google.com/drive/1Ne2wJfLr4RgGbg0Zs0YC9BfEDcI61Bt0
"""

import numpy as np
import pandas as pd
from sklearn.model_selection import train_test_split
from sklearn.metrics import confusion_matrix
import joblib
import sklearn.linear_model as skl_lm
import io

from google.colab import files
uploaded = files.upload()
dataset = pd.read_csv(io.BytesIO(uploaded['gpaGraduates.csv']))

X=dataset[['F_obtained_units','F_pass','F_fail',
        'TF_gpa','S_obtained_units','S_pass','S_fail','S_gpa','TS_gpa','p_o']]
Y=dataset['TTH_gpa']

x_train, x_test, y_train, y_test = train_test_split(X, Y, test_size = 0.2, random_state = 0, shuffle = True)

classifier = skl_lm.LinearRegression()
classifier.fit(x_train,y_train)
prediction = classifier.predict(x_test)

print("train score:")
print(round( (classifier.score(x_train,y_train)*100) , 2  )) 
print("test score:")
print(round( (classifier.score(x_test,y_test)*100) , 2 ))

joblib.dump(classifier, 'ClassifierRegression.joblib')

y_pred = classifier.predict(x_test)
difference = y_test - y_pred
dif = round(difference, 2)   
df3 = pd.DataFrame({'Actual': y_test, 'Predicted': y_pred, 'Difference': dif})
df3